Subject: bug#40425: 26.3; eww-open-file is not working with a Tramp file name

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 18 Jul 2020 18:04:03 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Perhaps eww-open-file could just be rewritten to load the file into a
> temporary buffer, parse it and then render it, and avoid the URL library
> altogether...  I don't see any huge downside to doing it that way.

I've now done this in Emacs 28.1.

One downside is that relative links in a non-local HTML file still won't
work...  but I'm not sure whether that's really much of an issue.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no